package javax.sql;

import java.sql.SQLFeatureNotSupportedException;
import java.util.logging.Logger;
import java.sql.SQLException;
import java.io.PrintWriter;

public interface CommonDataSource
{
    public abstract PrintWriter getLogWriter() throws SQLException;
    
    public abstract void setLogWriter(PrintWriter p0) throws SQLException;
    
    public abstract void setLoginTimeout(int p0) throws SQLException;
    
    public abstract int getLoginTimeout() throws SQLException;
    
    public abstract Logger getParentLogger() throws SQLFeatureNotSupportedException;
}
